Package org.jbpm.ruleflow.instance

## Class RuleFlowProcessInstance

- java.lang.Object
- - org.jbpm.process.instance.impl.ProcessInstanceImpl
  - - org.jbpm.workflow.instance.impl.WorkflowProcessInstanceImpl
    - - org.jbpm.ruleflow.instance.RuleFlowProcessInstance

- All Implemented Interfaces:
    `Serializable`, `ContextableInstance`, `ContextInstanceContainer`, `ProcessInstance`, `NodeInstanceContainer`, `WorkflowProcessInstance`, `org.kie.api.runtime.process.EventListener`, `org.kie.api.runtime.process.NodeInstanceContainer`, `org.kie.api.runtime.process.ProcessInstance`, `org.kie.api.runtime.process.WorkflowProcessInstance`

      public class RuleFlowProcessInstance
      extends WorkflowProcessInstanceImpl

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface org.kie.api.runtime.process.ProcessInstance

      `SLA_ABORTED, SLA_MET, SLA_NA, SLA_PENDING, SLA_VIOLATED, STATE_ABORTED, STATE_ACTIVE, STATE_COMPLETED, STATE_PENDING, STATE_SUSPENDED`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RuleFlowProcessInstance()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `RuleFlowProcess` | `getRuleFlowProcess()` |
    `void` | `internalStart​(String trigger)` |
    `void` | `startProcessFromNodeIds​(String[] nodeIds)` |

    - ### Methods inherited from class org.jbpm.workflow.instance.impl.WorkflowProcessInstanceImpl

      `addActivatingNodeId, addCompletedNodeId, addEventListener, addNodeInstance, cancelTimer, configureSLA, configureSLATimer, configureSLATimer, configureTimer, disconnect, getActivatingNodeIds, getActiveNodeIds, getAgendaFilter, getCompletedNodeIds, getCorrelationKey, getCurrentLevel, getDeploymentId, getEventFilterResolver, getEventTypes, getFaultData, getFirstNodeInstance, getIterationLevels, getLevelForNode, getNodeContainer, getNodeInstance, getNodeInstance, getNodeInstance, getNodeInstance, getNodeInstanceByNodeId, getNodeInstanceCounter, getNodeInstances, getNodeInstances, getNodeInstances, getNodeInstances, getSlaCompliance, getSlaDueDate, getSlaTimerId, getStartDate, getVariable, getVariable, getVariables, getWorkflowProcess, hasDeploymentId, internalGetNodeInstanceCounter, internalSetNodeInstanceCounter, internalSetSlaCompliance, internalSetSlaDueDate, internalSetSlaTimerId, internalSetStartDate, isPersisted, isSignalCompletion, nodeInstanceCompleted, reconnect, registerExternalEventNodeListeners, removeEventListener, removeNodeInstance, resolveVariables, setAgendaFilter, setCorrelationKey, setCurrentLevel, setDeploymentId, setPersisted, setSignalCompletion, setState, setState, setState, setVariable, signalEvent, start, start, toString, useAsync, useTimerSLATracking`

    - ### Methods inherited from class org.jbpm.process.instance.impl.ProcessInstanceImpl

      `addContextInstance, getAgenda, getContextContainer, getContextInstance, getContextInstance, getContextInstance, getContextInstances, getDescription, getId, getKnowledgeRuntime, getMetaData, getOutcome, getParentProcessInstanceId, getProcess, getProcessId, getProcessName, getProcessXml, getState, internalSetState, removeContextInstance, setContextInstance, setDescription, setId, setKnowledgeRuntime, setMetaData, setOutcome, setParentProcessInstanceId, setProcess, setProcessId, setProcessXml, updateProcess`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.jbpm.process.instance.ContextableInstance

      `getContextInstance`

    - ### Methods inherited from interface org.jbpm.process.instance.ContextInstanceContainer

      `addContextInstance, getContextContainer, getContextInstance, getContextInstance, getContextInstances, removeContextInstance`

    - ### Methods inherited from interface org.jbpm.workflow.instance.NodeInstanceContainer

      `getState`

    - ### Methods inherited from interface org.jbpm.process.instance.ProcessInstance

      `getKnowledgeRuntime, getMetaData, getOutcome, getProcess, setId, setKnowledgeRuntime, setParentProcessInstanceId, setProcess`

    - ### Methods inherited from interface org.kie.api.runtime.process.ProcessInstance

      `getId, getParentProcessInstanceId, getProcessId, getProcessName, getState`

- - ### Constructor Detail

    - #### RuleFlowProcessInstance

          public RuleFlowProcessInstance()

  - ### Method Detail

    - #### getRuleFlowProcess

          public RuleFlowProcess getRuleFlowProcess()

    - #### internalStart

          public void internalStart​(String trigger)

      Specified by:
        `internalStart` in class `ProcessInstanceImpl`

    - #### startProcessFromNodeIds

          public void startProcessFromNodeIds​(String[] nodeIds)